Orxonox: orxonox::GSMainMenu Class Reference

# orxonox::GSMainMenu Class Reference

`#include <src/orxonox/gamestates/GSMainMenu.h>`

Inheritance diagram for orxonox::GSMainMenu:

List of all members.

## Public Member Functions

void | activate ()
void | deactivate ()
| GSMainMenu (const GameStateConstrParams &params)
void | startClient ()
void | startDedicated ()
void | startServer ()
void | startStandalone ()
void | update (const Clock &time)
| ~GSMainMenu ()

## Private Attributes

SoundMainMenu * | ambient_
Ogre::Camera * | camera_
ConsoleCommand * | ccStartClient_
ConsoleCommand * | ccStartDedicated_
ConsoleCommand * | ccStartServer_
ConsoleCommand * | ccStartStandalone_
SimpleInputState * | inputState_
Scene * | scene_

## Constructor & Destructor Documentation

orxonox::GSMainMenu::GSMainMenu | ( | const GameStateConstrParams & | params | ) |

orxonox::GSMainMenu::~GSMainMenu | ( |  | ) |

## Member Function Documentation

void orxonox::GSMainMenu::activate | ( |  | ) | `[virtual]`

Reimplemented from orxonox::GameState.

References orxonox::CommandExecutor::addConsoleCommandShortcut(), ambient_, camera_, ccStartClient_, ccStartDedicated_, ccStartServer_, ccStartStandalone_, orxonox::createConsoleCommand(), orxonox::InputManager::createInputState(), orxonox::InputManager::EMPTY_HANDLER, orxonox::GraphicsManager::getInstance(), orxonox::GUIManager::getInstance(), orxonox::InputManager::getInstance(), orxonox::GUIManager::getInstancePtr(), orxonox::Scene::getSceneManager(), inputState_, orxonox::SoundBase::play(), orxonox::InputManager::requestEnterState(), scene_, orxonox::GraphicsManager::setCamera(), orxonox::GUIManager::setCamera(), orxonox::SimpleInputState::setHandler(), orxonox::SimpleInputState::setJoyStickHandler(), orxonox::FunctorMember< T >::setObject(), orxonox::GUIManager::showGUI(), startClient(), startDedicated(), startServer(), and startStandalone().

void orxonox::GSMainMenu::deactivate | ( |  | ) | `[virtual]`

Reimplemented from orxonox::GameState.

References ambient_, camera_, orxonox::GraphicsManager::getInstance(), orxonox::GUIManager::getInstance(), orxonox::InputManager::getInstance(), orxonox::Scene::getSceneManager(), orxonox::InputManager::requestDestroyState(), orxonox::InputManager::requestLeaveState(), scene_, orxonox::GraphicsManager::setCamera(), and orxonox::GUIManager::setCamera().

void orxonox::GSMainMenu::startClient | ( |  | ) |

References orxonox::Game::getInstance(), orxonox::Game::popState(), and orxonox::Game::requestStates().

Referenced by activate().

void orxonox::GSMainMenu::startDedicated | ( |  | ) |

References orxonox::Game::getInstance(), orxonox::Game::popState(), and orxonox::Game::requestStates().

Referenced by activate().

void orxonox::GSMainMenu::startServer | ( |  | ) |

References orxonox::Game::getInstance(), orxonox::Game::popState(), and orxonox::Game::requestStates().

Referenced by activate().

void orxonox::GSMainMenu::startStandalone | ( |  | ) |

References orxonox::Game::getInstance(), orxonox::Game::popState(), and orxonox::Game::requestStates().

Referenced by activate().

void orxonox::GSMainMenu::update | ( | const Clock & | time | ) | `[virtual]`

Reimplemented from orxonox::GameState.

## Member Data Documentation

SoundMainMenu* orxonox::GSMainMenu::ambient_`[private]`

Referenced by activate(), and deactivate().

Ogre::Camera* orxonox::GSMainMenu::camera_`[private]`

Referenced by activate(), and deactivate().

ConsoleCommand* orxonox::GSMainMenu::ccStartClient_`[private]`

Referenced by activate().

ConsoleCommand* orxonox::GSMainMenu::ccStartDedicated_`[private]`

Referenced by activate().

ConsoleCommand* orxonox::GSMainMenu::ccStartServer_`[private]`

Referenced by activate().

ConsoleCommand* orxonox::GSMainMenu::ccStartStandalone_`[private]`

Referenced by activate().

SimpleInputState* orxonox::GSMainMenu::inputState_`[private]`

Referenced by activate().

Scene* orxonox::GSMainMenu::scene_`[private]`

Referenced by activate(), and deactivate().

The documentation for this class was generated from the following files:

- src/orxonox/gamestates/GSMainMenu.h
- src/orxonox/gamestates/GSMainMenu.cc